Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#6 closed defect (fixed)

[regression] Unable to use /dev/disk/by-id in smartd.conf

Reported by: Giuseppe Iuculano Owned by: Christian Franke
Priority: major Milestone:
Component: all Version:
Keywords: Cc:

Description

Hi,

a Debian user reported a regression against the svn revision [2879]. He can't use anymore /dev/disk/by-id in smartd.conf. I can confirm that. smartctl seems also affected.

Error message:

Device: /dev/disk/by-id/ata-ST3200822A_3LJ00N4L, unable to autodetect device type
Device: /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840, unable to autodetect device type

# smartd -V
smartd 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

smartd comes with ABSOLUTELY NO WARRANTY. This is free
software, and you are welcome to redistribute it under
the terms of the GNU General Public License Version 2.
See http://www.gnu.org for further details.

smartmontools release 5.39 dated 2008/03/10 at 10:44:07 GMT
smartmontools SVN rev 2879 dated 2009-08-29 at 17:19:00
smartmontools build host: i686-pc-linux-gnu
smartmontools build configured: 2009/09/03 08:19:25 UTC
smartd compile dated Sep 3 2009 at 08:19:50
smartmontools configure arguments: '--prefix=/usr' '--sysconfdir=/etc' '--mandir=/usr/share/man' '--with-initscriptdir=/etc/init.d' '--with-docdir=/usr/share/doc/smartmontools' 'CXXFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS=' 'CFLAGS=-g -O2 -fsigned-char -Wall -O2'

Original bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544823

Change History (3)

comment:1 Changed 10 years ago by Christian Franke

Owner: changed from somebody to Christian Franke
Status: newassigned

comment:2 Changed 10 years ago by Christian Franke

Resolution: fixed
Status: assignedclosed

Fixed in r2898.

Please note that only the /dev/disk/by-*/* symlinks are dereferenced for autodetection.

comment:3 Changed 10 years ago by Giuseppe Iuculano

Thanks!

Note: See TracTickets for help on using tickets.